Subject: bug#40047: 26.2; Images in tooltip-mode tooltips broken on Linux and OSX

From: Stephen Berman <[email-masked]>
Date: Fri, 13 Mar 2020 13:11:31 +0100

On Fri, 13 Mar 2020 10:18:06 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Dustin Lacewell <[email-masked]>
>> Date: Thu, 12 Mar 2020 16:54:26 -0500
>>
>> Just `eval-buffer` then hover your mouse over `Facepalm` in the new
>> buffer.
>>
>> Emacs versions 26.2 26.3 and 28.0.50 were tested on NixOS, Ubuntu, OSX
>> and Windows.
>>
>> On Windows a tooltip displays an image. On Linux (NixOS, Ubuntu) and OSX
>> only a small empty tooltip is presented.
>
> If, in the GNU/Linux build, you set x-gtk-use-system-tooltips to nil,
> does the problem go away?

It does for me.  That is, I'm running GNU/Linux and with
x-gtk-use-system-tooltips set to t, I don't see the image, but with it
set to nil, I do.

Steve Berman